<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_00228d8faefc" . "ea40b88e38b6f" . "0ef8fb8" => base64_decode("V3Jvbmcgc2VyaWFsaXplZCBzdHJpbmcgb2YgQ29ud" . "HJvbA=="), "_4d707fab93beb" . "b00bbe69e81596" . "97c90" => base64_decode(""), "_ecfcdf011" . "b493a3e718" . "c1fe7034e0" . "dcd" => base64_decode("OjpMb2FkRnJvbUZvcm0oKSBtdXN" . "0IGJlIHJlZGVmaW5lZA=="), "_347a4304a606a9c406a8fbc8" . "f72530a1" => base64_decode("TWV0aG9kIA" . "=="), "_c9ae15d69685c02eeabd974f86d" . "f51ba" => base64_decode("OjpEcmF3KCkgbXVzdCBiZSByZWR" . "lZmluZWQ="), "_fc9d7314a9d9958d8f" . "a0a403ba8ff197" => base64_decode("Z2V0X2Ns" . "YXNz"), "_5e9a99dc0dd49b907abf1b35e" . "96965f8" => base64_decode("dHJpbQ" . "=="), "_96be32a6f44" . "bf54e635e173" . "6acf7a96c" => base64_decode("c2VyaW" . "FsaXpl"), "_c244a470df52d1" . "d5a7085138ec94e" . "393" => base64_decode("dW5zZXJpYWxp" . "emU="));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_96be32a6f44bf54e635" . "e1736acf7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5e9a99dc0dd" . "49b907abf1b3" . "5e96965f8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4d707fab93beb" . "b00bbe69e81596" . "97c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_00228d8faefcea40b88e38b6" . "f0ef8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_c244a470df" . "52d1d5a7085" . "138ec94e393"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_347a4304a606a9c" . "406a8fbc8f72530a" . "1"] . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_fc9d7314a9d9958d8fa0a403ba8ff19" . "7"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_ecfcdf011b493a3e718c1fe7034e0d" . "cd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_347a4304a606a9c406a8fbc8f72530a" . "1"] . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_fc9d7314a9d9958d8fa0a403ba8f" . "f197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c9ae15d69685c02eeabd974f86d" . "f51ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}